
package eu.dty.attributor.models

import org.springframework.data.annotation.Id
import org.springframework.data.relational.core.mapping.Table
import org.springframework.web.multipart.MultipartFile
import java.awt.Image
import java.io.File
import java.time.Instant

/**
 * data-model class to represent Device Config Entity
 */
@Table("devicesconfig")
data class DeviceConfig(
    @Id val serialNumber: String,
    val productName: String,
    val productText: String,
    val devModel: String,
    val vendorName: String,
    val vendorText: String,
    //val serialNumber: String,
    val productId: String,
    val firmwareVer: String,
    val hardwareVersion: String,
  // val sensorImage: ByteArray,
    //val prodDate: Instant,
    )


