# Attributor-backend

This is the Backend for Attributor Prototype
Below are pre-requisites to run this application code.

### Software versions Used to run this application

IDE - Intellij IDEA (Ultimate 2020.3)

JAVA JDK - jdk-11.0.10

PostgreSQL Database - PostgreSQL 12.5 (Ubuntu 12.5-0ubuntu0.20.04.1) on x86_64-pc-linux-gnu

### Database setup
Install PostgreSQL in your system. The default username is postgres, or create the new username and password.
Add the datasource in Intellij and provide the database username and password details.
### Note - For now I have given some sample values in properties file - you can replace them and remove this line

Create the database by providing some name- create database databaseName();

Create migration script i.e. V1__initial_tables.sql file for queries to create the tables in postgresql database

Note: Provide the database name, username and password details in the application-develop.properties file.

### To run this application for the first time, use below commands after importing the project attributor-backend

gradle clean
gradle bootrun

### Swagger documentation

Once th application is started successfully, the swagger documentation is accessed via
https://localhost:{portNo}/swagger-ui.html
This documentation displays all the available endpoints and also the corresponding rest operations at each endpoint

