

package eu.dty.attributor.models

import org.springframework.data.annotation.Id
import org.springframework.data.relational.core.mapping.Table

/**
 * data-model class to represent Device Metadata Entity
 */
@Table("devicemetadata")
data class DeviceMetadata(
    @Id val id: Long,
    val serialNumber: String?,
    val sensorName: String?,
    val application: String?,
    val localization: String?,
    val building: String?,
    val sensorImage: ByteArray?,

)

