package eu.dty.attributor.service


import eu.dty.attributor.models.DeviceConfig
import eu.dty.attributor.repository.DeviceConfigRepository

import org.springframework.stereotype.Service
import reactor.core.publisher.Mono


@Service
class DeviceService(private val deviceConfigRepository: DeviceConfigRepository) {


//    fun findByGuidDto(guid: String): Mono<DeviceConfigDto> = deviceConfigRepository.findByGuid(guid).toDeviceConfigDto()
fun findBySerialNumber(serial_number: String): Mono<DeviceConfig> = deviceConfigRepository.findBySerialNo(serial_number)

    fun saveData(data: DeviceConfig) = deviceConfigRepository.save(data)
}